Package com.documentum.fc.client

# Interface IDfSessionManagerConfig

All Superinterfaces:
  `IDfTypedObject`

public interface IDfSessionManagerConfig extends IDfTypedObject

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addApplicationCode(String value)`
  `void`
  `addDynamicGroup(String value)`
  `String`
  `getAddedDynamicGroup(int index)`
  `int`
  `getAddedDynamicGroupCount()`
  `String`
  `getApplicationCode(int index)`
  `int`
  `getApplicationCodeCount()`
  `String`
  `getLocale()`
  `String`
  `getRemovedDynamicGroup(int index)`
  `int`
  `getRemovedDynamicGroupCount()`
  `String`
  `getTimeZone()`
  `void`
  `removeApplicationCode(String value)`
  `void`
  `removeDynamicGroup(String value)`
  `void`
  `setLocale(String value)`
  `void`
  `setTimeZone(String value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getLocale

    String getLocale()

  - ### setLocale

    void setLocale(String value) throws DfException
    Throws:
      `DfException`

  - ### getTimeZone

    String getTimeZone()

  - ### setTimeZone

    void setTimeZone(String value) throws DfException
    Throws:
      `DfException`

  - ### getApplicationCodeCount

    int getApplicationCodeCount()

  - ### getApplicationCode

    String getApplicationCode(int index)

  - ### addApplicationCode

    void addApplicationCode(String value) throws DfException
    Throws:
      `DfException`

  - ### removeApplicationCode

    void removeApplicationCode(String value) throws DfException
    Throws:
      `DfException`

  - ### addDynamicGroup

    void addDynamicGroup(String value) throws DfException
    Throws:
      `DfException`

  - ### removeDynamicGroup

    void removeDynamicGroup(String value) throws DfException
    Throws:
      `DfException`

  - ### getAddedDynamicGroupCount

    int getAddedDynamicGroupCount()

  - ### getAddedDynamicGroup

    String getAddedDynamicGroup(int index)

  - ### getRemovedDynamicGroupCount

    int getRemovedDynamicGroupCount()

  - ### getRemovedDynamicGroup

    String getRemovedDynamicGroup(int index)